### Method

# GtkSource SnippetContext get_variable

#### Declaration [src]

    const gchar*
    gtk_source_snippet_context_get_variable (
      GtkSourceSnippetContext* self,
      const gchar* key
    )

#### Description [src]

Gets the current value for a variable named `key`.

#### Parameters

`key`

  Type: `const gchar*`

  The name of the variable.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The value for the variable, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.